CollegeWizard/Models/Details.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace CollegeWizard.Models
{
    public class Details
    {
        public string Address { get; set; }
        public string Phone { get; set; }
    }
}

CollegeWizard/Models/Student.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace CollegeWizard.Models
{
    public class Student
    {
        public int Id { get; set; }
        public string Name { get; set; }
    }
}

CollegeWizard/Models/StudentDetail.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace CollegeWizard.Models
{
    public class StudentDetail
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public string Address { get; set; }
        public string Phone { get; set; }
    }

}

CollegeWizard/Controllers/StudentDetailsController.cs
using Dapper;
using CollegeWizard.Models;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace CollegeWizard.Controllers
{
    public class StudentDetailsController : Controller
    {


        // GET: StudentDetails
        public ActionResult Index()
        {
            return View("Student");
        }

        private StudentDetail GetStudentDetail()
        {
            if (Session["studentDetail"] == null)
            {
                Session["studentDetail"] = new StudentDetail();
            }
            return (StudentDetail)Session["studentDetail"];
        }

        private void RemoveStudentDetail()
        {
            Session.Remove("studentDetail");
        }

        [HttpPost]
        public ActionResult Student(Student student, string BtnNext)
        {
            if (ModelState.IsValid)

            {
                if (BtnNext != null)
                {
                    StudentDetail studObj = GetStudentDetail();

                    studObj.Name = student.Name;

                    return View("Details");
                }
            }
            return View();
        }



        [HttpPost]
        public ActionResult Details(Details details, string BtnSave)
        {
            StudentDetail studObj = GetStudentDetail();

            //if (BtnPrevious != null)
            //{
            //    Student stu = new Student();

            //    studObj.Name = stu.Name;

            //}

            if (ModelState.IsValid)

            {
                if (BtnSave != null)
                {
                    studObj.Address = details.Address;
                    studObj.Phone = details.Phone;
                    using (IDbConnection db = new SqlConnection(ConfigurationManager.ConnectionStrings["DefaultConnection"].ConnectionString))
                    {
                        db.Query<StudentDetail>(@"INSERT INTO StudentDetail (Name, Address, Phone) VALUES (@Name, @Address, @Phone)", new { studObj.Name, studObj.Address, studObj.Phone });

                    }
                    RemoveStudentDetail();
                    return View("Success");
                }      
            }
            return View();
        }

    }
}

CollegeWizard/Views/StudentDetails/Details.cshtml
@model CollegeWizard.Models.Details

@{

    ViewBag.Title = "Cricketer Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Student Details</h2>
@using (Html.BeginForm("Details", "StudentDetails", FormMethod.Post))
{

    @Html.AntiForgeryToken()
    <div class="form-horizontal">

        <h4>Step 1: Student</h4>

        <hr />

        @Html.ValidationSummary(true)



        <div class="form-group">

            @Html.LabelFor(model => model.Address, new { @class = "control-label col-md-2" })

            <div class="col-md-10">

                @Html.TextBoxFor(model => model.Address)

                @Html.ValidationMessageFor(model => model.Address)

            </div>

        </div>
        <div class="form-group">

            @Html.LabelFor(model => model.Phone, new { @class = "control-label col-md-2" })

            <div class="col-md-10">

                @Html.TextBoxFor(model => model.Phone)

                @Html.ValidationMessageFor(model => model.Phone)

            </div>

        </div>


        <div class="form-group">

            <div class="col-md-offset-2 col-md-10">

                <input data-bind="event: { click: Previous }" type="submit" value="Previous" name="BtnPrevious" class="btn btn-default" />

                <input type="submit" name="BtnSave" value="Finish" class="btn btn-default" />

            </div>

        </div>

    </div>
 }

CollegeWizard/Views/StudentDetails/Index.cshtml
@model IEnumerable<CollegeWizard.Models.StudentDetail>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<table class="table">
    <tr>
        <th>

            @Html.DisplayNameFor(model => model.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Address)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Phone)
        </th>

        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Name)
            </td>
        </tr>

     }

</table>

CollegeWizard/Views/StudentDetails/Student.cshtml
@model CollegeWizard.Models.Student

@{

    ViewBag.Title = "Student";

}



<h2>Student</h2>

@using (Html.BeginForm("Student", "StudentDetails", FormMethod.Post))

{

    <div class="form-horizontal">

        <h4>Step 1: Student</h4>

        <hr />
        <div class="form-group">

            @Html.LabelFor(model => model.Name, new { @class = "control-label col-md-2" })

            <div class="col-md-10">

                @Html.TextBoxFor(model => model.Name)

                @Html.ValidationMessageFor(model => model.Name)

            </div>

        </div>


        <div class="form-group">

            <div class="col-md-offset-2 col-md-10">

                <input type="submit" name="BtnNext" value="Next" class="btn btn-default" />

            </div>

        </div>

    </div>

 }

CollegeWizard/Views/StudentDetails/Success.cshtml
@{

    ViewBag.Title = "Success";
    Layout = "~/Views/Shared/_Layout.cshtml";
}



<h3>Student Saved Successfully! Thanks</h3>



<div>

    @Html.ActionLink("Add Another Student", "Index", "StudentDetails")

</div>